package com.pixelized.shared.lwa.parser.word

class WordParser {

    fun parse(
        value: String,
    ): Word? {
        return try {
            Word(type = Word.Type.valueOf(value))
        } catch (_: Exception) {
            return null
        }
    }
}